body {
  font-family: "Roboto Mono", monospace;
  background-image: url("https://guikao.files.wordpress.com/2012/01/pokemon_wallpaper01_1680.jpg");
  background-color: #187ad5;
  background-size: cover;
  background-position: center top;
  background-repeat: repeat;
}

.page-logo {
  width: 200px;
}

#turnInfoContainer {
  height: 30px;
}

#cardsDiv {
  height: 390px;
  text-align: center middle;
  vertical-align: middle;
  display: block;
  line-height: 100%;
}

#turnInfo {
  text-align: center;
}

.container {
  text-align: center;
  padding: 15px;
}

.page-title {
  color: #ffffff;
  margin: 3px 0;
}

button {
  border: 1;
  padding: 15px 20px;
  margin: 1rem 0;
  font-size: 16px;
  border-radius: 8px;
  border-color: #0270b5;
  background-color: #e3221c;
  color: #ffcb05;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
}

button:hover:enabled {
  box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24),
    0 17px 50px 0 rgba(0, 0, 0, 0.19);
}

button:disabled {
  box-shadow: 0;
  background-color: #b8241f;
  cursor: default;
}

.gen_label {
  color: white;
}

h2 {
  color: white;
}

#carta-jogador {
  width: 360px;
  height: 500px;
  overflow: auto;
  border-radius: 10px;
  margin-bottom: 10px;
  margin: 0 auto;
  display: flex;
  align-items: flex-end;
}

#carta-jogador h3 {
  text-align: center;
}

.carta-imagem {
  border: 1px solid black;
  height: 100px;
  margin: 10px;
}

.carta-imagem img {
  width: 100%;
  height: 100%;
}

.carta-status {
  height: 160px;
  margin: 1.5rem;
}

.carta-status input {
  margin: 20px 10px;
}

.opcoes {
  color: white;
}

.poster {
  width: 40%;
  height: 40%;
}

.star {
  position: absolute;
  top: 10px;
  right: 10px;
  background-image: url("https://www.flaticon.com/svg/vstatic/svg/188/188931.svg?token=exp=1617400057~hmac=39def7232fd0405c5a8b974dd4d5bdb6");
  background-size: cover;
  background-position: center;
  width: 32px;
  height: 32px;
}

.combat-star {
  position: absolute;
  top: 10px;
  right: 10px;
  background-image: url("https://www.flaticon.com/svg/vstatic/svg/189/189013.svg?token=exp=1617400458~hmac=6410d0d90a7ce034701af621023a399f");
  background-size: cover;
  background-position: center;
  width: 32px;
  height: 32px;
}

.types {
  position: absolute;
  top: 10px;
  left: 10px;
  background-color: transparent;
  width: 32px;
  height: inherit;
}

.poster-box {
  margin: 0 10px 10px;
  width: 270px;
  height: 100%;
  border-radius: 25px;
  position: relative;
  border: 6px solid #ead8ed;
  background-color: #ead8ed;
  display: inline-block;
}

.poster-box-sel {
  margin: 0 10px 10px;
  width: 270px;
  height: 100%;
  border-radius: 25px;
  position: relative;
  border: 6px solid #9b3fab;
  background-color: #ead8ed;
  display: inline-block;
}

.poster-box-staccato {
  margin: 0 10px 10px;
  width: 270px;
  height: 100%;
  border-radius: 25px;
  position: relative;
  background-color: #ead8ed;
  display: inline-block;
  animation: blinkingBorder 1.2s infinite;
}

@keyframes blinkingBorder {
  0% {
    border: 6px solid #9b3fab;
  }

  49% {
    border: 6px solid #9b3fab;
  }

  60% {
    border: 6px solid transparent;
  }

  99% {
    border: 6px solid transparent;
  }

  100% {
    border: 6px solid #9b3fab;
  }
}

.poster-title {
  margin: 0 10px 10px;
  vertical-align: middle;
  text-align: center;
  position: relative;
  color: black;
  background-color: transparent;
}

table {
  margin: 1px;
  border: 2px solid #9b3fab;
  border-collapse: collapse;
  width: 100%;
}

th,
tr,
td {
  text-align: center;
  border: solid 1px #9b3fab;
  color: black;
}

tr:hover {
  background-color: #e37d89;
  cursor: default;
}

tr[name="selected"] {
  background-color: #e37d89;
}

tr[name="headRow"]:hover {
  background-color: transparent;
  cursor: default;
}

input[type="radio"]:hover:enabled {
  cursor: pointer;
}

input[type="radio"]:hover:disabled {
  cursor: default;
}